Subject: RE: [Enum] Querying Multiple ENUM Domains (e.g. e164.arpa, e.164.com, etc.)

From: "Robert H. Walter" <[email-masked]>
Date: Thu, 1 Feb 2001 10:30:45 -0500

At 09:34 AM 1/31/2001 -0500, Richard Shockey wrote:
> At 05:26 PM 1/30/2001 -0500, Michael Mealling wrote:
> >On Tue, Jan 30, 2001 at 04:45:51PM -0500, Robert H. Walter wrote:
> > > At 04:16 PM 1/22/2001 -0500, Richard Shockey wrote:
> > > > I wish I could rewrite the DNS to allow for alternative resolution
> > > > models..but if some one could describe how this could be done I'd be
> > > > delighted to listen..
> > >
> > > NetNumber faced this exact challenge when we deployed our
> > > "commercial" ENUM service under the domain "e164.com" last year.
> > > The vendors and customers we were contacting all liked the idea of
> > > moving forward with ENUM by utilizing our commercial implementation
> > > but they didn't want to be trapped into a single ENUM domain.  We
> > > addressed this requirement by building an ENUM resolver that can be
> > > configured to simultaneously query multiple ENUM domains.
> 
> That is all well and good but the vast majority  99.99 % of resolvers do 
> not have that capability and never will.

To the best of my knowledge only one publically available ENUM resolver
is in existance and it has the capability to simultaneously query multiple
ENUM domains.  It's reasonable to assume that other ENUM resolvers will be
developed that will support this simple feature.

> >
> > > 2.  ENUM requires a special DNS resolver to correctly process the
> > >     NAPTR records per RFC2915 and it is a simple matter to
> > >     incorporate the ability to simultaneously query multiple ENUM
> > >     domains.
> 
> NO it is NOT.
> 
> 
> It is not a special DNS resolver... the standard BIND 9 libraries can 
> easily process NAPTR records.

My mistake... I should have said "ENUM requires a special ENUM resolver
to correctly process the NAPTR records...".  I'll attempt to be more
precise in the future.

I don't believe that BIND 9 is currently shipping a released client
resolver library, however, the BIND 8 libraries can retrieve NAPTR
records.  It is important to note that the BIND resolver library
does not process NAPTR records in support of ENUM in any way. 
This functionality must be built into an ENUM resolver that uses a
dns resolver library that supports NAPTR.

There are several other Java DNS resolver client SDK's that support
NAPTR including JNDI (Javasoft) and dnsjava (www.xbill.org/dnsjava).

Regards,

Bob
======================================================================
Robert H. Walter - CTO, VP Development    Voice: 617.828.6443 
NetNumber.com, Inc.                       Fax: 978.454.5044
650 Suffolk Street                        Email: [email-masked]
Lowell, MA  01854  

_______________________________________________
enum mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/enum

---

From: Richard Shockey <[email-masked]>
Date: Thu, 01 Feb 2001 14:28:19 -0500

A
>developed that will support this simple feature.

I think it is totally unreasonable to assume such a thing in the context of 
Internet Standards.

We're dealing here with Internet Standards ...not private implementations.